---
updatedAt: 2025-06-05T20:49:26.000Z
agentTools:
  projectIndex: https://developers.labelinsight.com/llms.txt
---

# All Products (Consolidated)

## Response

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th style={{ textAlign: "left" }}>
        Field
      </th>

      <th style={{ textAlign: "left" }}>
        Type
      </th>

      <th style={{ textAlign: "left" }}>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td style={{ textAlign: "left" }}>
        content
      </td>

      <td style={{ textAlign: "left" }}>
        List
      </td>

      <td style={{ textAlign: "left" }}>
        A list of products.
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        cursor
      </td>

      <td style={{ textAlign: "left" }}>
        String
      </td>

      <td style={{ textAlign: "left" }}>
        The value of the current cursor supplied.
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        nextCursor
      </td>

      <td style={{ textAlign: "left" }}>
        String
      </td>

      <td style={{ textAlign: "left" }}>
        The value of the cursor to supply as a query parameter to fetch the next page.
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        last
      </td>

      <td style={{ textAlign: "left" }}>
        Boolean
      </td>

      <td style={{ textAlign: "left" }}>
        (Deprecated) Indicates if iteration over the list of products is complete if page is also provided.
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        first
      </td>

      <td style={{ textAlign: "left" }}>
        Boolean
      </td>

      <td style={{ textAlign: "left" }}>
        DEPRECATED Indicates if this is the first "page" if the page is also provided.
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        size
      </td>

      <td style={{ textAlign: "left" }}>
        Integer
      </td>

      <td style={{ textAlign: "left" }}>
        Number of products requested.
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        numberOfElements
      </td>

      <td style={{ textAlign: "left" }}>
        Integer
      </td>

      <td style={{ textAlign: "left" }}>
        Number of products returned in this response.
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        totalPages
      </td>

      <td style={{ textAlign: "left" }}>
        Integer
      </td>

      <td style={{ textAlign: "left" }}>
        Total number of pages.
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        totalElements
      </td>

      <td style={{ textAlign: "left" }}>
        Integer
      </td>

      <td style={{ textAlign: "left" }}>
        Total number of products.
      </td>
    </tr>
  </tbody>
</Table>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "configurable-api",
    "version": "1.2"
  },
  "servers": [
    {
      "url": "https://enterprise-li-api.labelinsight.com"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/api/v2/data": {
      "post": {
        "summary": "All Products (Consolidated)",
        "description": "",
        "operationId": "all-products-consolidated",
        "parameters": [
          {
            "name": "cursor",
            "in": "query",
            "description": "Must not be present (to start getting data the beginning) or the value defined in the response from the previous request.",
            "required": true,
            "schema": {
              "type": "string",
              "default": "*"
            }
          },
          {
            "name": "size",
            "in": "query",
            "description": "Must be between 1 and 50.",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 20
            }
          },
          {
            "name": "page",
            "in": "query",
            "description": "Page is not necessary but can be used to keep track of how far along into the results you currently are.",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 0
            }
          },
          {
            "name": "x-api-key",
            "in": "header",
            "description": "API Key provided by Label Insight",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "customerApiKeys": {
                    "type": "array",
                    "description": "A list of configuration keys to be consolidated",
                    "items": {
                      "type": "string"
                    }
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```